package com.zy.bms.utils;

import com.alibaba.fastjson.JSON;
import com.zy.bms.common.ServerResponse;
import com.zy.bms.common.enums.ResponseCode;
import com.zy.bms.common.exception.ApiRuntimeException;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 自定义返回请求
 *
 * @author yang xiao kun
 * create on 2021/7/15
 */
public class CustomResponseUtil {
    //权限不足结果
    private final static String author = JSON.toJSONString(ServerResponse.custom(ResponseCode.AUTHOR));

    /**
     * 权限验证失败
     */
    public static void author(HttpServletResponse response) {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json;charset=utf-8");
        try {
            response.getWriter().write(author);
        } catch (IOException e) {
            throw new ApiRuntimeException("自定义response返回结果写入异常");
        }
    }
}
